# Main Objective

The major goal of the study is to create a comprehensive mobile application that is especially made for renal patients to manager their illness.

# Main Research questions
How can patient characteristics variables and severity levels be recognized and classified using machine learning models?

How can a smartphone application that helps individuals with renal disease manage their condition be created?

# Individual research question

## Medical Report Management
How does face scanning function and how might it be included in a mobile application for kidney patients?

What are the advantages of creating medical report summaries using natural language processing (NLP), and how accurate are these summaries in comparison to those produced by humans?
 
## Patient Classification
What traits, information, and kidney donor standards must be taken into account when looking for a patient-appropriate kidney donor?

What difficulties lie in creating and executing a mobile app that connects people in need of kidney donors?

## Symptom Monitoring
 
Which image processing methods and algorithms are most useful for locating and analyzing skin abnormalities connected to renal disease?

How can computer vision methods be used to precisely identify and measure foot edema, a frequent sign of renal disease, from images?
 
## Kidney Donor Criteria
How to develop the system to find the best kidney donors to matching kidney patients' characteristics?

How to analyze a point scheme according to kidney patients' characteristics?

# Individual Objectives

## Medical Report Management

Provide a smartphone application that uses face scanning and NLP-generated summaries to manage medical reports automatically and present a medical profile summary for renal patients.
 
## Patient Classification

To create a mobile app for renal patients that uses transfer learning based on machine learning models to identify and categorize patient information, variables, and severity levels.

## Symptom Monitoring
 
Create a mobile application that offers full management of kidney illness for patients, with a focus on timely notifications and the use of image processing to track physical symptoms.
 
## Kidney Donor Criteria

To create a mobile app with a donor comparison feature that offers kidney patients a complete management solution for their illness.

# Other necessary information

A dataset with pertinent patient data, including medical history, lab test results, and treatment records, is needed for this research endeavor. Data collection will take place in accordance with ethical standards and laws.

With an emphasis on usability and accessibility, the mobile app will be developed using the necessary programming languages and frameworks.

A suitable machine learning library or framework will be used to implement the machine learning models, and the models will be evaluated using the proper metrics.

To ensure the project's success, regular communication and cooperation between team members, including researchers, developers, and healthcare experts, will be crucial.
